Subject: Re: [ANNOUNCE] tig-0.14

From: Jakub Narebski <[email-masked]>
Date: Fri, 06 Feb 2009 14:53:02 -0800 (PST)

Jonas Fonseca <[email-masked]> writes:

> On Fri, Feb 6, 2009 at 20:15, Jeff King <[email-masked]> wrote:
> > On Thu, Feb 05, 2009 at 09:44:36PM +0100, Jonas Fonseca wrote:
>>
>>>  - Blame view: load blame for parent commit. For merge commits the parent
>>>    is queried. Bound to ',' by default via the existing "parent" action.

>> It looks like you just keep the view on the same line number when moving
>> to the new blame output. In practice, this has very mixed results. Most
>> of the time it does exactly what I want, but if the file changes
>> significantly, you get dumped at a totally unrelated part of the file.
>> I'm not sure if there is a more clever solution, though.
> 
> Yes, it is a bit easy to get lost. It should be possible to find the
> original line number either by making git-blame also honor
> --show-number for the --incremental output or by using the "porcelain"
> version:
> 
>   git blame --show-number -L <line>,<line> <rev> <file>

Errr... you are wrong.  There are three line numbers when browsing
blame output.  Original line number, line number in _blamed_ commit
(shown with --show-number, --porcelain, --incremental), and line
number in _parent_ of blamed commit... which we don't know, and
which I don't think it is easy to find...

-- 
Jakub Narebski
Poland
ShadeHawk on #git